Ticket Change Details
Overview

Artifact ID: b7d75b11c5a0f42b9588470dc89084b108315819d8250120358a57a81d20faa3
Ticket: 034c8d2587c3810d268e84a15d2a3e187e54b452
Issue with OpenSSL1.1 and dh_param access
User & Date: anonymous 2020-05-29 07:47:10
Changes

  1. Change icomment to:

    The actual issue here is that the `openssl` program used for generating dh_param.h is the one found in the search path (PATH), and not one found via pkg-config.

    That is, by default macOS ships an old OpenSSL 0.9.8 (actually LibreSSL, IIRC). When one provides a newer one (e.g. installed through brew) with PKG_CONFIG_PATH, the gen_dh_params script will use the first `openssl` executable it finds on PATH, which generates code incompatible with the new API.

    A possible solution would be to search an openssl executable in the exec_prefix found by pkg-config, and use it in gen_dh_params.

  2. Change login to "anonymous"
  3. Change mimetype to "text/x-fossil-plain"
  4. Change priority to "Immediate"
  5. Change resolution to "Open"
  6. Change severity to "Important"
  7. Change username to "medranocalvo"